Returns the Imagick quantum range

- « Imagick::getQuantumDepth

- Imagick::getRegistry »

- PHP Manual
- Imagick
- Returns the Imagick quantum range

# Imagick::getQuantumRange

(PECL imagick 2, PECL imagick 3)

Imagick::getQuantumRange — Returns the Imagick quantum range

### Description

public static Imagick::getQuantumRange(): array

Returns the quantum range for the Imagick instance.

### Parameters

This function has no parameters.

### Return Values

Returns an associative array containing the quantum range as an int (`"quantumRangeLong"`) and as a string (`"quantumRangeString"`).

### Errors/Exceptions

Throws ImagickException on error.